
\part{Introduction}

\section{What is GExTools?}

GExTools is a set of scripts intended to easily deploy peer to peer experiments, on a grid, in order to perform experiments, particularly, on consequence finding related applications.

The primary use of this set of tools is \emph{Somewhere}, a distributed consequence finding program. However, GExTools can be specialized in order to work with other tools.

\section{About this document}

This manual describes GexTools Version 1.0, its functionalities and utilisation scenarios. Also, in this manual, there are instructions about how to execute experiments using GExTools and how to specialize these experiments for a specific application. This documents is divided as it follows:

On Chapter \ref{cap:install}, there are some instructions about how to install and configure GExTools. Chapter \ref{cap:core} contains some explanations about the base concepts of GExTools, its main parts and the components. Chapter \ref{cap:core} explains the core GExTools commands its parameters. Chapter \ref{cap:faq} contains a short FAQ. Chapter \ref{cap:cases} describes some GExTools examples and use cases. Chapter \ref{cap:issues} discuss about issues and troubleshooting.

\section{How to get help}

If you have a question that is not answered by these pages, you can post it at the \emph{Support Request Tracker} or the \emph{Feature Request Tracker} of the GExTools project on INRIAForge, or email me at inria.fr.

\section{Reporting bugs}

Please report problems with GExTools installation and usage to the \emph{Bug Tracker} of the GExTools project at INRIAForge, or email me at inria.fr.

You must include your Ruby version numbers, along with a thorough description of the problem. Also, attach your GExTools execution output using the \emph{-v} parameter just after the main command. Example: \emph{gexProgs -v infos}.

